# ApacheCN 数据科学与分析译文集

> 协议：[CC BY-NC-SA 4.0](http://creativecommons.org/licenses/by-nc-sa/4.0/)
> 
> 最好的选择是好处多于坏处的选择，不是毫无坏处的选择。——《原则》，生活原则 5.6.c

* [在线阅读](https://ds.apachecn.org)
* [在线阅读（Gitee）](https://apachecn.gitee.io/apachecn-ds-zh/)
* [ApacheCN 面试求职交流群 724187166](https://jq.qq.com/?_wv=1027&k=54ujcL3)
* [ApacheCN 学习资源](http://www.apachecn.org/)

## 目录

+   [UCB DS100 数据科学的原理与技巧](docs/ds100-textbook-zh/SUMMARY.md)
+   [UCB Prob140 面向数据科学的概率论](docs/prob140-textbook-zh/SUMMARY.md)
+   [计算与推断思维](docs/data8-textbook-zh/SUMMARY.md)
+   [利用 Python 进行数据分析 · 第 2 版](docs/pyda-2e-zh/SUMMARY.md)
+   [Python 自然语言处理 第二版](docs/nlp-py-2e/SUMMARY.md)
+   [斯坦福 Stats60 21 世纪的统计思维](docs/stats-thinking-21-zh/SUMMARY.md)
+   [TutorialsPoint NumPy 教程](docs/tutorialspoint-numpy.md)
+   [NumPy 秘籍中文第二版](docs/numpy-cookbook-2e/SUMMARY.md)
+   [NumPy 初学者指南中文第三版](docs/numpy-beginners-guide-3e/SUMMARY.md)
+   [NumPy 基础知识](docs/numpy-essentials/SUMMARY.md)
+   [精通 NumPy 数值分析](docs/master-num-comp-numpy/SUMMARY.md)
+   [NumPy 数组学习手册](docs/learn-numpy-array/SUMMARY.md)
+   [Pandas 秘籍](docs/pandas-cookbook/SUMMARY.md)
+   [Pandas 学习手册中文第二版](docs/learning-pandas-2e/SUMMARY.md)
+   [精通 Pandas](docs/master-pandas/SUMMARY.md)
+   [NumPy 和 Pandas 数据分析实用指南](docs/handson-data-analysis-numpy-pandas/SUMMARY.md)
+   [精通 Pandas 探索性分析](docs/master-exp-analysis-pandas/SUMMARY.md)
+   [UCSD COGS108 数据科学实战中文笔记](docs/ucsd-cogs108-notes/SUMMARY.md)
+   [USF MSDS501 计算数据科学中文讲义](docs/usf-msds501-notes/SUMMARY.md)
+   [社交媒体挖掘](docs/social-media-mining/SUMMARY.md)
+   [数据科学和人工智能技术笔记](docs/ds-ai-tech-notes/SUMMARY.md)
+   [Python 和 Jupyter 数据科学入门](docs/begin-ds-py-jupyter/SUMMARY.md)
+   [精通 Python 数据科学](docs/master-py-ds/SUMMARY.md)
+   [Python 数据科学本质论](docs/py-ds-essentials/SUMMARY.md)
+   [数据科学思想](docs/thoughtful-ds/SUMMARY.md)
+   [数据科学实战秘籍](docs/prac-ds-cb/SUMMARY.md)
+   [时间序列分析实战](docs/prac-ts-anal/SUMMARY.md)
+   [Python 真实世界的数据科学](docs/py-real-world-ds/SUMMARY.md)

<!--
无需翻译：

Data Analysis with Python
Data Science with Python
Python: End-to-end Data Analysis
-->

## 下载

### Docker

```
docker pull apachecn0/apachecn-ds-zh
docker run -tid -p <port>:80 apachecn0/apachecn-ds-zh
# 访问 http://localhost:{port} 查看文档
```

### PYPI

```
pip install apachecn-ds-zh
apachecn-ds-zh <port>
# 访问 http://localhost:{port} 查看文档
```

### NPM

```
npm install -g apachecn-ds-zh
apachecn-ds-zh <port>
# 访问 http://localhost:{port} 查看文档
```

## 贡献指南

本项目需要校对，欢迎大家提交 Pull Request。

> 请您勇敢地去翻译和改进翻译。虽然我们追求卓越，但我们并不要求您做到十全十美，因此请不要担心因为翻译上犯错——在大部分情况下，我们的服务器已经记录所有的翻译，因此您不必担心会因为您的失误遭到无法挽回的破坏。（改编自维基百科）

## DOCX：开放共享科研记录行动倡议

我们积极响应[科研开源计划（DOCX）](https://mmcheng.net/docx/)。如今开源不仅仅是开放源码，还包括数据集、模型、教程和实验记录。我们也在探讨其它类别的开源方案和协议。

希望大家了解这个倡议，把这个倡议与自己的兴趣点结合，做点力所能及的事情。每个人的微小的贡献，汇聚在一起就是整个开源生态。

## 联系方式

### 负责人

* [飞龙](https://github.com/wizardforcel): 562826179

### 其他

*   在我们的 [apachecn/apachecn-ds-zh](https://github.com/apachecn/apachecn-ds-zh) github 上提 issue.
*   发邮件到 Email: `apachecn@163.com`.
*   在我们的 [组织学习交流群](http://www.apachecn.org/organization/348.html) 中联系群主/管理员即可.

## 赞助我们

![](https://imgconvert.csdnimg.cn/aHR0cDovL2hvbWUuYXBhY2hlY24ub3JnL2ltZy9hYm91dC9kb25hdGUuanBn?x-oss-process=image/format,png)
