# 三十四、下一步...

在本书的学习过程中，没有采取很多途径，没有提出选择，并且没有充分探索主题。 在本附录中，我为那些希望进行更多学习并使用 Python 进行数据挖掘的人员创建了一系列后续步骤。 考虑本书的第二个问题是英雄模式。

本附录按章节进行了细分，包括文章，书籍和其他资源，以了解有关数据挖掘的更多信息。 还包括扩展本章中完成的工作的一些挑战。 其中一些将是小的改进； 有些工作要做得更多—我已经记下了那些明显比其他任务更广泛的任务。

# 第 1 章–数据挖掘入门

## Scikit 学习教程

<http://scikit-learn.org/stable/tutorial/index.html>

scikit-learn 文档包含在中，是一系列有关数据挖掘的教程。 教程范围从基本介绍到玩具数据集，一直到最近研究中使用的技术的综合教程。

这里的教程将花费相当长的时间-它们非常全面-但是值得努力学习。

## 扩展 IPython Notebook

<http://ipython.org/ipython-doc/1/interactive/public_server.html>

IPython Notebook 是一个功能强大的工具。 它可以通过多种方式进行扩展，其中之一是与主计算机分开创建一个服务器来运行笔记本电脑。 如果您使用低功率的主计算机（例如小型笔记本电脑），但可以使用功能更强大的计算机，这将非常有用。 此外，您可以设置节点以执行并行计算。更多数据集可从[这个页面](http://archive.ics.uci.edu/ml/)获得。

# 第 2 章–使用 scikit-learn 估计器进行分类

## 更复杂的管道

<http://scikit-learn.org/stable/modules/pipeline.html#featureunion-composite-feature-spaces>

我们在模块中使用的 Pipelines 遵循单个流-一个步骤的输出是另一步骤的输入。

管道也遵循转换器和估计器接口-这使我们可以将管道嵌入管道中。 对于非常复杂的模型，这是一个有用的构造，但如上链接所示，当与 Feature Unions 结合使用时，其功能将非常强大。

这使我们可以一次提取多种类型的特征，然后将它们组合以形成单个数据集。 有关更多详细信息，请参见[这个页面](http://scikit-learn.org/stable/auto_examples/feature_stacker.html)上的示例。

## 比较分类器

scikit-learn 中有可供使用的许多分类器。 您为特定任务选择的任务将基于多种因素。 您可以比较 f1 分数以查看哪种方法更好，并且可以调查那些分数的偏差以查看该结果是否具有统计意义。

一个重要的因素是它们是在相同的数据上进行训练和测试的，也就是说，一个分类器的测试集就是所有分类器的测试集。 我们对随机状态的使用使我们能够确保确实如此-这是复制实验的重要因素。

# 第 3 章：用决策树预测体育获胜者

## 有关 Pandas 的更多信息

pandas 库是一个很棒的软件包-您通常编写的用于加载数据的任何内容都可能已在 pandas 中实现。 您可以在[教程](http://pandas.pydata.org/pandas-docs/stable/tutorials.html)中了解有关此内容的更多信息

克里斯·莫菲特（Chris Moffitt）也撰写了一篇很棒的博客文章，[概述了人们在 Excel 中执行的常见任务以及如何在 Pandas 中执行这些任务](http://pbpython.com/excel-pandas-comp.html)

您还可以使用 Pandas 处理大型数据集。 请参阅从用户 Jeff（撰写本文时为时的最高答案）到此 StackOverflow 问题的答案，[以获取有关该过程的广泛概述](http://stackoverflow.com/questions/14262433/large-data-work-flows-using-pandas)。

[Brian Connelly 撰写了另一本关于 Pandas 的出色教程](http://bconnelly.net/2013/10/summarizing-data-in-python-with-pandas/)

# 第 7 章–使用图挖掘发现要遵循的帐户

## 更复杂的算法

在预测图形中的链接（包括社交网络）方面进行了广泛的研究。 例如，David Liben-Nowell 和 Jon Kleinberg 发表了有关该主题的论文，该论文将成为上面链接的更复杂算法的理想之地。 可在[这个页面](https://www.cs.cornell.edu/home/kleinber/link-pred.pdf)获得。

# 第 4 章-使用亲和力分析推荐电影

## Eclat 算法

<http://www.borgelt.net/eclat.html>

本章中实现的**先验**算法很容易成为关联规则挖掘图中最著名的，但不一定是最好的。 Eclat 是一种更现代的算法，可以相对容易地实现。

# 第 5 章–使用提升器提取特征

## Vowpal Wabbit

<http://hunch.net/~vw/>

Vowpal Wabbit 是一个不错的项目，它为基于文本的问题提供了非常快速的特征提取。 它带有 Python 包装器，可让您从 Python 代码中调用它。 在大型数据集上进行测试，例如我们在第 12 章，“处理大数据”中使用的数据集。

# 第 6 章–使用朴素贝叶斯的社交媒体洞察

## 自然语言处理和词性标记

与其他领域中使用的某些语言模型相比，本章中使用的技术非常轻巧。 例如，词性标记可以帮助消除单词形式的歧义，从而提高准确性。 [NLTK 随附的书中有一章对此有所说明](http://www.nltk.org/book/ch05.html)。 整本书也很值得一读。

# 第 8 章–用神经网络击败验证码

## 更深层的网络

这些技术可能会愚弄我们当前的实现，因此需要进行改进以使该方法更好。 尝试使用第 11 章，“使用深度学习”对图像中的对象进行分类的更深层网络。

但是，较大的网络需要更多数据，因此，为了获得良好的性能，您可能需要生成本章中完成的几千个以上的样本。 生成这些数据集是并行化的一个很好的选择，并行化是许多可以独立执行的小任务。

## 强化学习

<http://pybrain.org/docs/tutorial/reinforcement-learning.html>

强化学习作为数据挖掘的下一件大事越来越受到关注-尽管已经有很长时间了！ PyBrain 有一些强化学习算法，值得与此数据集（以及其他数据集）进行检查。

# 第 9 章-作者归属

## 本地 n-gram

分类器的另一种形式是局部 n-gram，它涉及为每个作者选择最佳功能，而不是为整个数据集全局选择最佳特征。 我写了一个关于使用本地 n-gram 进行作者身份归属的教程，该教程可在[这个页面](https://github.com/robertlayton/authorship_tutorials/blob/master/LNGTutorial.ipynb)获得。

# 第 10 章-集群新闻文章

## 实时集群

k 均值算法可以随着时间进行迭代训练和更新，而不是在给定的时间范围内进行离散分析。 可以通过多种方式跟踪集群的移动，例如，您可以跟踪每个集群中流行的单词以及质心每天移动多少。 记住 API 限制-您可能只需要每隔几小时进行一次检查就可以使算法保持最新​​状态。

# 第 11 章–使用深度学习对图像中的对象进行分类

## Keras 和 Pylearn2

如果要通过 Python 进行深度学习进一步学习，其他值得研究的深度学习库是 Keras 和 Pylearn2。 它们都基于 Theano 并具有不同的用法和功能。

[可在此处找到 Keras](https://github.com/fchollet/keras/)。

[Pylearn2 可以在此处找到](http://deeplearning.net/software/pylearn2/)。

在撰写本文时，两者都不是稳定的平台，尽管 Pylearn2 在两者中更稳定。 也就是说，他们俩都做得很好，值得为以后的项目进行研究。

另一个名为 Torch 的库非常受欢迎，但是在编写本文时，它没有 python 绑定（请参阅[这个页面](http://torch.ch/)）。

## Mahotas

另一个用于图像处理的软件包是 Mahotas，它包括更好，更复杂的图像处理技术，尽管它们可能会带来很高的计算成本，但它们可以帮助实现更高的准确性。 但是，许多图像处理任务是并行化的良好候选者。 可以在研究文献中找到更多的图像分类技术，[以此调查文件作为一个良好的开端](http://luispedro.org/software/mahotas/)。

# 第 12 章-处理大数据

## Hadoop 课程

Yahoo 和 Google 都提供了有关 Hadoop 的出色教程，从入门到相当高级。 他们没有专门使用 Python 解决问题，但是学习 Hadoop 概念，然后将其应用到 Pydoop 或类似的库中可以产生很好的结果。

[雅虎的教程](https://developer.yahoo.com/hadoop/tutorial/)

[Google 的教程](https://cloud.google.com/hadoop/what-is-hadoop)

## Pydoop

Pydoop 是一个运行 Hadoop 作业的 python 库-它也有一个很棒的教程，[可以在这里找到](http://crs4.github.io/pydoop/tutorial/index.html)。

尽管您也可以在 mrjob 中获得该功能，但 Pydoop 还可以与 HDFS（Hadoop 文件系统）一起使用。 Pydoop 将使您对运行某些作业有更多控制。

## 推荐引擎

构建大型推荐引擎是对大数据技能的良好测试。 [Mark Litwintschik 的一篇很棒的博客文章介绍了使用 Apache Spark 这一大数据技术的引擎](http://tech.marksblogg.com/recommendation-engine-spark-python.html)。

# 更多资源

Kaggle 比赛：

<http://www.kaggle.com/>

Kaggle 定期举办数据挖掘比赛，并经常获得奖金。 在 Kaggle 比赛中测试您的技能是学习与现实世界中的数据挖掘问题一起工作的一种快速而出色的方法。 这些论坛非常好，可以共享环境-在竞赛期间，您通常会看到发布前 10 名参赛者的代码！