## 1.4 因果关系与统计

这项纯粹的研究似乎为摄入饱和脂肪和长寿之间的积极关系提供了有力的证据，但这并不能说明我们真正想知道的是：如果我们摄入更多的饱和脂肪，这会导致我们长寿吗？这是因为我们不知道吃饱和脂肪和长寿之间是否存在直接的因果关系。这些数据与这种关系是一致的，但它们与其他一些导致饱和脂肪含量高和寿命长的因素同样一致。例如，富有的人很可能吃更多饱和脂肪，富有的人往往寿命更长，但他们的长寿并不一定是因为脂肪的摄入——相反，这可能是由于更好的保健、心理压力的降低、更好的食物质量或许多其他因素。纯粹的研究人员试图解释这些因素，但我们不能确定他们的努力完全消除了其他变量的影响。其他因素可以解释饱和脂肪摄入与死亡之间的关系，这一事实就是为什么统计学入门课程经常教导“相关性并不意味着因果关系”，尽管著名的数据可视化专家 Edward Tufte 补充道，“但这确实是一个提示。”

虽然观察性研究（如纯研究）不能决定性地证明因果关系，但我们一般认为因果关系可以通过实验控制和操纵特定因素的研究来证明。在医学上，这种研究被称为 _ 随机对照试验 _（RCT）。假设我们想做一个随机对照试验来检验增加饱和脂肪摄入量是否会延长寿命。为了做到这一点，我们将对一组人进行抽样，然后将他们分配到一个治疗组（会被告知增加饱和脂肪摄入量）或一个对照组（会被告知保持和以前一样的饮食）。我们必须将个体随机分配给这些群体。否则，选择治疗的人可能在某种程度上与选择对照组的人有所不同——例如，他们也可能更倾向于从事其他健康行为。然后我们会随着时间的推移跟踪参与者，看看每组有多少人死亡。因为我们将受试者随机分为治疗组或对照组，我们可以合理地确信，两组之间没有其他会混淆治疗效果的差异；然而，我们仍然不能确定，因为有时随机分组会产生治疗效果。对照组 _ 确实 _ 在某些重要方面有所不同。研究人员经常试图通过统计分析来解决这些混淆问题，但从数据中消除混淆的影响可能非常困难。

许多随机对照试验研究了改变饱和脂肪摄入量是否能改善健康和延长寿命的问题。这些试验集中在减少（htg0）饱和脂肪，因为营养学研究人员认为饱和脂肪是致命的，这是一个强有力的教条；这些研究人员中的大多数可能会争辩说，让人们多吃（htg2）饱和脂肪是不道德的！然而，随机对照试验显示出一个非常一致的模式：总的来说，减少饱和脂肪摄入对死亡率没有明显的影响。