## 3.7 逆转条件概率：贝叶斯规则

在许多情况下，我们知道![](img/24f22119f3e28693fc84dea1ef25fb4f.jpg)，但我们真的想知道![](img/04e4300663edc1c8ba9ee7619d492ff0.jpg)。这通常发生在医学筛查中，我们知道（htg2），但我们想知道的是（htg3）。例如，一些医生建议 50 岁以上的男性接受前列腺特异性抗原（PSA）检测，以筛查可能的前列腺癌。在试验被批准用于医疗实践之前，制造商需要测试试验性能的两个方面。首先，他们需要展示（htg4）是如何敏感的（htg5），也就是说，当疾病出现时，它有多大可能找到它。他们还需要展示 _ 的特异性 _ 是如何的：也就是说，当没有疾病存在时，它有多可能产生阴性结果![](img/11a24376d41fe831e2b1a75ac35a795c.jpg)。对于变压吸附试验，我们知道敏感性约为 80%，特异性约为 70%。然而，这些并不能回答医生想要回答的问题：如果检测结果呈阳性，他们患癌症的可能性有多大？这要求我们颠倒定义灵敏度的条件概率：而不是我们想要知道的![](img/335536b8369d59f82cbf5856cbfa3fad.jpg)。

为了逆转条件概率，我们可以使用 _ 贝叶斯规则 _：

![](img/a108a589f3ef6bc25721628a8017fda6.jpg)

根据本章前面所学的概率规则，贝叶斯规则相当容易推导。首先，记住计算条件概率的规则：

![](img/69e666309337d791dcdc76d4ad4752b1.jpg)

我们可以重新排列，得到用条件计算联合概率的公式：

![](img/c279a95d3c89df0b5ec444ff437571c3.jpg)

利用这一点，我们可以计算反概率：

![](img/86e5a13c055b54d6a6910677470b88b4.jpg)

如果我们只有两个结果，我们可以用更清晰的方式表达，使用和规则重新定义![](img/b029cb77c2d095be990d28206f5331fb.jpg)：

![](img/8f21133de288eed7ed24804b9b561686.jpg)

利用这个，我们可以重新定义贝叶斯规则：

![](img/b94584013098374a0ab47488f17113bf.jpg)

我们可以将相关的数字插入到这个方程中，以确定一个 PSA 结果为阳性的个体确实患有癌症的可能性——但要注意，为了做到这一点，我们还需要知道这个人患癌症的总概率，我们通常将其称为 _ 基 r。吃了 _。让我们以一个 60 岁的男人为例，他在未来 10 年中患前列腺癌的概率是![](img/f3a4a8ba6e1ea77eb2e2ce3f632393f3.jpg)。利用我们上面概述的敏感性和特异性值，我们可以通过阳性测试来计算患者患癌症的可能性：

![](img/e244f05680b0d348b92cfc43d72cebb3.jpg)![](img/b30dad3c92a0b9d823ada3ca716d2e8e.jpg)

那太小了——你觉得奇怪吗？许多人这样做，事实上，有大量的心理学文献表明，人们在判断时系统地忽视了 _ 基本比率 _（即总体患病率）。